Bug 52883 - Typo in perl srpm
Summary: Typo in perl srpm
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Chip Turner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-30 14:13 UTC by David Vos
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-06 21:25:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Vos 2001-08-30 14:13:26 UTC
Description of Problem:

In the perl.spec file included with perl-5.6.0-12.src.rpm, there is a typo
in the %build section.

Currently, the "-Uuselargefiles" is being passed to Configure.
It should be "-Duselargefiles"

Version-Release number of selected component (if applicable):
perl-5.6.0-12.src.rpm


Result: The perl rpms included with Redhat 7.1 may not actually support
large files (I am unable to test that).

David

Comment 1 Chip Turner 2001-12-19 08:17:18 UTC
The large files switch is set to "off" to be binary compatible with perl modules
compiled against 5.6.0 that shipped with 7.0, which did not ship with large file
support, either.  Changing this option breaks XS library compatibility.


Note You need to log in before you can comment on or make changes to this bug.